#!/bin/sh

if [ $# -eq 2 ] ; then

  rotate=$1
  file=$2

elif [ $# -eq 1 ] ; then
  
  rotate=-90
  file=$1

else 
  
  echo "usage: jpegrot [angle] filename"
  exit

fi

echo
echo "*** Processing file $file"
djpeg -pnm $file > /tmp/$$.rot.pnm 
pnmrotate $rotate /tmp/$$.rot.pnm > /tmp/$$.conv.pnm
pnmsmooth -size 3 3 /tmp/$$.conv.pnm | cjpeg > `basename $file .jpg`-rot.jpg
rm /tmp/$$.rot.pnm
rm /tmp/$$.conv.pnm

